de.esprit.netsuite.server

## Enum ServerErrorType

- java.lang.Object
- - java.lang.Enum<ServerErrorType>
  - - de.esprit.netsuite.server.ServerErrorType

- All Implemented Interfaces:
    IconKey, NlsKey, ErrorType, java.io.Serializable, java.lang.Comparable<ServerErrorType>

      public enum ServerErrorType
      extends java.lang.Enum<ServerErrorType>
      implements ErrorType

  This enum provides special `ErrorType`s for server side errors
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABO`
    `AGENT_EXEC`
    `AGENT_MESG`
    `AGENT_RESP`
    `AUTHENTICATION`
    `BATCH_TASK`
    `CLIENT_STATE`
    `HTTP`
    `INVALID_DATA`
    `LOCK`
    `REQUEST`
    `SERVER_ERROR`
    `USER_MANAGER`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `javax.swing.Icon` | `getIcon()`
    `java.awt.Image` | `getImage()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `getTranslationKey()`
    `static ServerErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServerErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

    - ### Methods inherited from interface de.esprit.appsuite.nls.IconKey

      `name`

- - ### Enum Constant Detail

    - #### SERVER_ERROR

          public static final ServerErrorType SERVER_ERROR

    - #### REQUEST

          public static final ServerErrorType REQUEST

    - #### AGENT_RESP

          public static final ServerErrorType AGENT_RESP

    - #### AGENT_MESG

          public static final ServerErrorType AGENT_MESG

    - #### AGENT_EXEC

          public static final ServerErrorType AGENT_EXEC

    - #### LOCK

          public static final ServerErrorType LOCK

    - #### HTTP

          public static final ServerErrorType HTTP

    - #### ABO

          public static final ServerErrorType ABO

    - #### AUTHENTICATION

          public static final ServerErrorType AUTHENTICATION

    - #### USER_MANAGER

          public static final ServerErrorType USER_MANAGER

    - #### INVALID_DATA

          public static final ServerErrorType INVALID_DATA

    - #### CLIENT_STATE

          public static final ServerErrorType CLIENT_STATE

    - #### BATCH_TASK

          public static final ServerErrorType BATCH_TASK

  - ### Method Detail

    - #### values

          public static ServerErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerErrorType c : ServerErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerErrorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getIcon

          public javax.swing.Icon getIcon()

      Specified by:
        `getIcon` in interface `IconKey`

    - #### getImage

          public java.awt.Image getImage()

      Specified by:
        `getImage` in interface `IconKey`

    - #### getTranslationKey

          public java.lang.String getTranslationKey()

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.